Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Interface PropInfo

All Known Implementing Classes:
  DefaultPropInfo

public interface PropInfo

Defines a JposEntry property info which is a set of properties information for a JposEntry

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Method Summary
`PropValue` | `getDefaultValue()`
`java.lang.String` | `getDescription()`
`DevCat` | `getDevCat()`
`java.lang.String` | `getName()`
`Profile` | `getProfile()`
`java.lang.String` | `getShortDescription()`
`PropType` | `getType()`
`PropValueList` | `getValues()`
`PropInfoViewer` | `getViewer()`

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    the name of this property

### getType

    public PropType getType()

  Returns:
    the type of this property

### getDefaultValue

    public PropValue getDefaultValue()

  Returns:
    the default value for this property

### getValues

    public PropValueList getValues()

  Returns:
    the list of possible values for this property

### getDevCat

    public DevCat getDevCat()

  Returns:
    the DevCat that this property can be applied to

### getViewer

    public PropInfoViewer getViewer()

  Returns:
    the PropInfoViewer for this property

### getProfile

    public Profile getProfile()

  Returns:
    the Profile associated with this PropInfo

### getDescription

    public java.lang.String getDescription()

  Returns:
    a description of this PropInfo (this can be HTML formated)

### getShortDescription

    public java.lang.String getShortDescription()

  Returns:
    a short description of this PropInfo (this can be HTML formated)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details